<html>
<head>
<title>OGRE: Ogre::QueuedRenderableCollection::RadixSortFunctorPass Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>::<a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html">RadixSortFunctorPass</a></div>
<h1>Ogre::QueuedRenderableCollection::RadixSortFunctorPass Struct Reference</h1><!-- doxytag: class="Ogre::QueuedRenderableCollection::RadixSortFunctorPass" -->Functor for accessing sort value 1 for radix sort (<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>).  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html#b22672c70231fc47358363b432009b12">operator()</a> (const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;p) const </td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Functor for accessing sort value 1 for radix sort (<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>). 
<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00197">197</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="b22672c70231fc47358363b432009b12"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::RadixSortFunctorPass::operator()" ref="b22672c70231fc47358363b432009b12" args="(const RenderablePass &amp;p) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::QueuedRenderableCollection::RadixSortFunctorPass::operator()           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00199">199</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="OgrePass_8h-source.html#l01135">Ogre::Pass::getHash()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00051">Ogre::RenderablePass::pass</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:07 2008
</p>
</body>
</html>
